Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Interface IBoidI

All Superinterfaces:
  IArithmeticVal<IVecI,IDoubleI>, IParameter, IParticleI, ITransformable, IVal, IVecI, IVecOp

All Known Implementing Classes:
  IBoid, IBoidGeo, IBoidTrajectory

    public interface IBoidI

extends IParticleI

Interface API of Boid.

Author:
  Satoru Sugihara

Method Summary
`IBoidI` | `ali(double ratio, double dist)`
`double` | `aliDist()`
`IBoidI` | `aliDist(double dist)`
`IBoidI` | `alignment(double ratio, double dist)`
`double` | `alignmentDist()`
`IBoidI` | `alignmentDist(double dist)`
`double` | `alignmentLimit()`
`IBoidI` | `alignmentLimit(double limit)`
`double` | `alignmentRatio()`
`IBoidI` | `alignmentRatio(double ratio)`
`double` | `aliLimit()`
`IBoidI` | `aliLimit(double limit)`
`double` | `aliRatio()`
`IBoidI` | `aliRatio(double ratio)`
`IBoidI` | `coh(double ratio, double dist)`
`double` | `cohDist()`
`IBoidI` | `cohDist(double dist)`
`IBoidI` | `cohesion(double ratio, double dist)`
`double` | `cohesionDist()`
`IBoidI` | `cohesionDist(double dist)`
`double` | `cohesionLimit()`
`IBoidI` | `cohesionLimit(double limit)`
`double` | `cohesionRatio()`
`IBoidI` | `cohesionRatio(double ratio)`
`double` | `cohLimit()`
`IBoidI` | `cohLimit(double limit)`
`double` | `cohRatio()`
`IBoidI` | `cohRatio(double ratio)`
`IBoidI` | `param(double cohRatio, double cohDist, double sepRatio, double sepDist, double aliRatio, double aliDist)`
`IBoidI` | `parameter(double cohRatio, double cohDist, double sepRatio, double sepDist, double aliRatio, double aliDist)`
`IBoidI` | `sep(double ratio, double dist)`
`IBoidI` | `separation(double ratio, double dist)`
`double` | `separationDist()`
`IBoidI` | `separationDist(double dist)`
`double` | `separationLimit()`
`IBoidI` | `separationLimit(double limit)`
`double` | `separationRatio()`
`IBoidI` | `separationRatio(double ratio)`
`double` | `sepDist()`
`IBoidI` | `sepDist(double dist)`
`double` | `sepLimit()`
`IBoidI` | `sepLimit(double limit)`
`double` | `sepRatio()`
`IBoidI` | `sepRatio(double ratio)`

Methods inherited from interface igeo.IParticleI
`acc, acceleration, addForce, addForce, decay, decay, fix, fixed, force, force, frc, frc, fric, fric, friction, friction, mass, mass, pos, pos, position, position, pull, pull, push, push, removeTarget, removeTarget, reset, resetForce, skipUpdateOnce, skipUpdateOnce, target, target, targetNum, targets, unfix, updateTarget, vel, vel, velocity, velocity`

Methods inherited from interface igeo.IVecI
`add, add, add, add, add, add, add, angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cp, cp, cp, cp, cross, cross, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, div, div, dot, dot, dot, dot, dup, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, flip, get, getX, getY, getZ, isValid, len, len, len, len, len, len2, len2, len2, mid, mid, mirror, mirror, mirror, mirror, mul, mul, mv, mv, mv, neg, nml, nml, nml, nml, ref, ref, ref, ref, rev, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, scale1d, scale1d, set, set, set, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, sub, sub, sub, sum, sum, sum, sum, sum, sum, sum, to2d, to2d, to2d, to2d, to4d, to4d, to4d, transform, transform, transform, transform, translate, translate, translate, unit, x, x, x, x, x, x, x, y, y, y, y, y, y, y, z, z, z, z, z, z, zero`

Method Detail

### cohDist

    double cohDist()

### cohesionDist

    double cohesionDist()

### cohDist

    IBoidI cohDist(double dist)

### cohesionDist

    IBoidI cohesionDist(double dist)

### cohRatio

    double cohRatio()

### cohesionRatio

    double cohesionRatio()

### cohRatio

    IBoidI cohRatio(double ratio)

### cohesionRatio

    IBoidI cohesionRatio(double ratio)

### cohLimit

    double cohLimit()

### cohesionLimit

    double cohesionLimit()

### cohLimit

    IBoidI cohLimit(double limit)

### cohesionLimit

    IBoidI cohesionLimit(double limit)

### coh

    IBoidI coh(double ratio,
               double dist)

### cohesion

    IBoidI cohesion(double ratio,
                    double dist)

### sepDist

    double sepDist()

### separationDist

    double separationDist()

### sepDist

    IBoidI sepDist(double dist)

### separationDist

    IBoidI separationDist(double dist)

### sepRatio

    double sepRatio()

### separationRatio

    double separationRatio()

### sepRatio

    IBoidI sepRatio(double ratio)

### separationRatio

    IBoidI separationRatio(double ratio)

### sepLimit

    double sepLimit()

### separationLimit

    double separationLimit()

### sepLimit

    IBoidI sepLimit(double limit)

### separationLimit

    IBoidI separationLimit(double limit)

### sep

    IBoidI sep(double ratio,
               double dist)

### separation

    IBoidI separation(double ratio,
                      double dist)

### aliDist

    double aliDist()

### alignmentDist

    double alignmentDist()

### aliDist

    IBoidI aliDist(double dist)

### alignmentDist

    IBoidI alignmentDist(double dist)

### aliRatio

    double aliRatio()

### alignmentRatio

    double alignmentRatio()

### aliRatio

    IBoidI aliRatio(double ratio)

### alignmentRatio

    IBoidI alignmentRatio(double ratio)

### aliLimit

    double aliLimit()

### alignmentLimit

    double alignmentLimit()

### aliLimit

    IBoidI aliLimit(double limit)

### alignmentLimit

    IBoidI alignmentLimit(double limit)

### ali

    IBoidI ali(double ratio,
               double dist)

### alignment

    IBoidI alignment(double ratio,
                     double dist)

### parameter

    IBoidI parameter(double cohRatio,
                     double cohDist,
                     double sepRatio,
                     double sepDist,
                     double aliRatio,
                     double aliDist)

### param

    IBoidI param(double cohRatio,
                 double cohDist,
                 double sepRatio,
                 double sepDist,
                 double aliRatio,
                 double aliDist)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD